package com.qmth.cqb.paper.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.qmth.cqb.base.model.Course;
import com.qmth.cqb.utils.enums.PaperStatus;
import com.qmth.cqb.utils.enums.PaperType;

/**
 * @descrition 试卷导出模板
 * @author weiwenhai
 * @date  2017.10.11
 */
public class PaperExpDto implements Serializable{

	private static final long serialVersionUID = -2936294718668958137L;

	private String id;
	
	/**
	 * 试卷名称
	 */
	private String name;
	
	/**
	 * 试卷标题
	 */
	private String title;
	
	/**
	 * 试卷子标题
	 */
	private String subTitle;
	
	/**
	 * 试卷总分
	 */
	private String totalScore;
	
	/**
	 * 试卷状态（待审核，通过，不通过）
	 */
	private PaperStatus paperStatus;
	
	/**
	 * 试卷类型（导入，组卷）
	 */
	private PaperType paperType;
	
	/**
	 * 课程代码
	 */
	private String courseNo;
	
	/**
	 * 课程名称
	 */
	private String courseName;
	
	/**
	 * 关联课程对象
	 */
	private Course course;
	
	/**
	 * 大题集合
	 */
	private List<PaperDetailExp> paperDetails;
	
	/**
	 * 导入试卷属性
	 */
	private Map<String, String> params;
	
	/**
	 * 课程层次
	 */
	private String courseLevel;
	
	/**
	 * 不参与持久化，只做查询显示使用
	 * 是否包含音频
	 */
	private Boolean hasAudio;
	
	 /**
     * 客观题
     */
    private List<PaperDetailExp> objectiveDetails;
    
    /**
     * 主观题
     */
    private List<PaperDetailExp> subjectiveDetails;
    
    /**
     * 客观题标题
     */
    private String objectiveTitle;
    
    /**
     * 主观题标题
     */
    private String subjectiveTitle;
    
	public String getObjectiveTitle() {
		return objectiveTitle;
	}

	public void setObjectiveTitle(String objectiveTitle) {
		this.objectiveTitle = objectiveTitle;
	}

	public String getSubjectiveTitle() {
		return subjectiveTitle;
	}

	public void setSubjectiveTitle(String subjectiveTitle) {
		this.subjectiveTitle = subjectiveTitle;
	}

	public List<PaperDetailExp> getObjectiveDetails() {
		return objectiveDetails;
	}

	public void setObjectiveDetails(List<PaperDetailExp> objectiveDetails) {
		this.objectiveDetails = objectiveDetails;
	}

	public List<PaperDetailExp> getSubjectiveDetails() {
		return subjectiveDetails;
	}

	public void setSubjectiveDetails(List<PaperDetailExp> subjectiveDetails) {
		this.subjectiveDetails = subjectiveDetails;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getSubTitle() {
		return subTitle;
	}

	public void setSubTitle(String subTitle) {
		this.subTitle = subTitle;
	}

	public String getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(String totalScore) {
		this.totalScore = totalScore;
	}

	public PaperStatus getPaperStatus() {
		return paperStatus;
	}

	public void setPaperStatus(PaperStatus paperStatus) {
		this.paperStatus = paperStatus;
	}

	public PaperType getPaperType() {
		return paperType;
	}

	public void setPaperType(PaperType paperType) {
		this.paperType = paperType;
	}

	public String getCourseNo() {
		return courseNo;
	}

	public void setCourseNo(String courseNo) {
		this.courseNo = courseNo;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public Course getCourse() {
		return course;
	}

	public void setCourse(Course course) {
		this.course = course;
	}

	public List<PaperDetailExp> getPaperDetails() {
		return paperDetails;
	}

	public void setPaperDetails(List<PaperDetailExp> paperDetails) {
		this.paperDetails = paperDetails;
	}

	public Map<String, String> getParams() {
		return params;
	}

	public void setParams(Map<String, String> params) {
		this.params = params;
	}

	public String getCourseLevel() {
		return courseLevel;
	}

	public void setCourseLevel(String courseLevel) {
		this.courseLevel = courseLevel;
	}

	public Boolean getHasAudio() {
		return hasAudio;
	}

	public void setHasAudio(Boolean hasAudio) {
		this.hasAudio = hasAudio;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	
}
