package com.qmth.cqb.paper.service.export;

import java.io.File;
import java.util.List;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.paper.dto.PaperExpDto;
import com.qmth.cqb.paper.model.ExportStructure;
import com.qmth.cqb.paper.model.ExtractConfig;
import com.qmth.cqb.paper.model.Paper;
import com.qmth.cqb.utils.enums.ExamFileType;
import com.qmth.cqb.utils.word.DocxProcessUtil;

/**
* @author  	weiwenhai
* @date    	2017.10.23
* @company 	QMTH
* @description 西安交大导出、上传文件service
*/
@Service("xajdExportPaperService")
public class xajdExportPaperService extends ExportPaperAbstractDtoService {
    
	/**
	 * 导出试卷
	 * @param papers
	 * @param zipFileName
	 * @throws Exception
	 */
	@Override
	public void downloadPapers(List<Paper> papers,String zipFileName)	throws Exception {
		for(int i=0;i<papers.size();i++){
			PaperExpDto paperExp = initPaperExpDto(papers.get(i).getId());
			if(paperExp!=null){
				String paperfileName = paperExp.getCourseNo()+"_"+ExamFileType.PAPER.getName()+DOCX_SUFFIX;
				File file = new File(TEMP_FILE_EXP+File.separator+zipFileName+File.separator+paperfileName);
				DocxProcessUtil.exportWordNew(paperExp, file,XAJD_TEMPLATE_PAPER);
				DocxProcessUtil.processImage(zipFileName+File.separator+paperfileName,getPkgList(papers.get(i).getId()));
			}
		}
	}

	@Override
	public void uploadFile(ExtractConfig extractConfig, String paperId,ExportStructure exportStructure, AccessUser accessUser) throws Exception {
		// TODO Auto-generated method stub
	}
	
}

